ResourceCritterProp (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.prop.ResourceCritterProp class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.prop
Class ResourceCritterProp

    java.lang.Object
      org.hyperic.hq.grouping.prop.ResourceCritterProp

All Implemented Interfaces:
  CritterProp

    public class ResourceCritterProp

extends java.lang.Object
implements CritterProp

Constructor Summary
`ResourceCritterProp(java.lang.String id, Resource resource)`

Method Summary
`java.lang.String` | `getId()` Get some id that uniquely defines this prop in the context of a critter prop list.
`Resource` | `getResource()`
`CritterPropType` | `getType()` The type that created this prop.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceCritterProp

    public ResourceCritterProp(java.lang.String id,
                               Resource resource)

Method Detail

### getResource

    public Resource getResource()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public CritterPropType getType()

  Description copied from interface: `CritterProp`
  The type that created this prop.

  Specified by:
    `getType` in interface `CritterProp`

### getId

    public java.lang.String getId()

  Description copied from interface: `CritterProp`
  Get some id that uniquely defines this prop in the context of a critter prop list. e.g. resourceName, startDate, etc. This id allows an XML document to setup new props.

  Specified by:
    `getId` in interface `CritterProp`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.